Page MenuHomePhabricator

Decommission db2060.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db2060.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2060
Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #10 as broken so it doesn't get re-used
  • - Label disk #11 as broken so it doesn't get re-used
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Change 533372 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2060 from config

https://gerrit.wikimedia.org/r/533372

Marostegui triaged this task as Medium priority.Aug 30 2019, 5:11 AM
Marostegui updated the task description. (Show Details)

Change 533372 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2060 from config

https://gerrit.wikimedia.org/r/533372

Mentioned in SAL (#wikimedia-operations) [2019-08-30T05:14:12Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2060 from config T231625 (duration: 00m 53s)

Change 533374 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2060

https://gerrit.wikimedia.org/r/533374

Mentioned in SAL (#wikimedia-operations) [2019-08-30T05:15:39Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2060 from config T231625 (duration: 00m 53s)

Change 533374 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2060

https://gerrit.wikimedia.org/r/533374

Marostegui updated the task description. (Show Details)Aug 30 2019, 5:23 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-30T05:23:44Z] <marostegui> Remove db2060 from tendril and zarcillo - T231625

Mentioned in SAL (#wikimedia-operations) [2019-08-30T05:25:09Z] <marostegui> Stop MySQL on db2060 - T231625

Marostegui reassigned this task from Marostegui to RobH.Aug 30 2019, 5:26 AM
Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Oct 10 2019, 1:31 AM
Marostegui updated the task description. (Show Details)Oct 22 2019, 5:14 AM

Change 545150 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove db2060 DNS production entries

https://gerrit.wikimedia.org/r/545150

Change 545151 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove puppet references for db2060

https://gerrit.wikimedia.org/r/545151

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2060.codfw.wmnet

  • db2060.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 545151 merged by Marostegui:
[operations/puppet@production] site.pp: Remove puppet references for db2060

https://gerrit.wikimedia.org/r/545151

Change 545150 merged by Marostegui:
[operations/dns@master] wmnet: Remove db2060 DNS production entries

https://gerrit.wikimedia.org/r/545150

Marostegui reassigned this task from RobH to Papaul.Oct 22 2019, 5:18 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for on-site and switch disablement steps

papaul@asw-d-codfw# show | compare 
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/8;
[edit interfaces interface-range disabled]
     member ge-6/0/7 { ... }
+    member ge-6/0/8;
[edit interfaces]
-   ge-6/0/8 {
-       description db2060;
-   }
Papaul updated the task description. (Show Details)Oct 22 2019, 10:22 PM
Papaul updated the task description. (Show Details)Oct 31 2019, 3:09 PM
Papaul updated the task description. (Show Details)Oct 31 2019, 9:30 PM

Change 547663 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2052,db2053.db2059 and db2060

https://gerrit.wikimedia.org/r/547663

Change 547663 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2052,db2053.db2059 and db2060

https://gerrit.wikimedia.org/r/547663

Papaul closed this task as Resolved.Oct 31 2019, 9:52 PM
Papaul updated the task description. (Show Details)

complete

DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks